Subject: Re: Automated Build Infrastructure

From: Randy Dunlap <[email-masked]>
Date: Sun, 16 Nov 2008 20:55:45 -0800

Stephen Rothwell wrote:
> Hi Richard,
> 
> On Sun, 16 Nov 2008 20:32:39 -0700 Richard Holden <[email-masked]> wrote:
>> Does anyone have any scripts to kick off compilation when Stephen  
>> releases a new linux-next? I've started to plan out my own but wanted  
>> to see if anyone had something first so I don't reinvent the wheel.
> 
> In case it helps, your most reliable trigger would be the LATEST-IS file
> in http://www.kernel.org/pub/linux/kernel/people/sfr/linux-next/
> changing.  I think Randy Dunlap (cc'd) has some stuff.

Hi,

My scripts are available in
   http://www.xenotime.net/linux/scripts/

The scripts are:  grab_kernel (for mainline), grab_next (for -next),
and get-mmotm (for mmotm).  They all work with tarballs and patches,
not git trees.  get-mmotm requires an mainline tree for its patch
series to be applied to.  The 'kcurrent' script tells me what
linux-next or mmotm applies to:

The latest stable version of the Linux kernel is:           2.6.27.6
The latest prepatch for the stable Linux kernel tree is:    2.6.28-rc5
The latest snapshot for the stable Linux kernel tree is:    2.6.28-rc5-git1
The latest 2.4 version of the Linux kernel is:              2.4.36.9
The latest prepatch for the 2.4 Linux kernel tree is:       2.4.37-rc2
The latest 2.2 version of the Linux kernel is:              2.2.26
The latest prepatch for the 2.2 Linux kernel tree is:       2.2.27-rc2
The latest -mm patch to the stable Linux kernels is:        2.6.28-rc2-mm1
mmotm-2008-1114-2050 ... applies to: 2.6.28-rc4
next-20081114 ... applies to: v2.6.28-rc4

grab_kernel downloads & applies any mainline kernel (except for
-stable kernels); it knows how to apply -rc & -git patches (zipped).

If you have any questions about them, just ask.

-- 
~Randy